<template>
  <div class="Page" v-if="showPage">
    <div class="processNames">{{ detail.processName }}</div>

    <div class="types">{{ detail.classificationName }}</div>

    <div class="conts" v-html="detail.needToKnow"></div>
  </div>
</template>

<script>
export default {
  name: 'detail',
  components: {},
  props: {},
  data() {
    return {
      showPage: false,
      id: '',
      detail: {},
    }
  },
  computed: {},
  watch: {},
  onLoad(option) {
    this.id = option.id
    this.getDetail()
  },
  onShow() {},
  methods: {
    getDetail() {
      this.$instance.post(`/app/approval-process-def/info-id?id=${this.id}`).then((res) => {
        if (res.code == 0) {
          this.detail = res.data
          this.showPage = true
        }
      })
    },
  },
}
</script>

<style scoped lang="scss">
.Page {
  padding: 0 32px 0 32px;
  background: #fff;
  height: 100%;
  .processNames {
    font-size: 48px;
    font-weight: 600;
    padding-top: 32px;
  }
  .types {
    padding-top: 16px;
    font-size: 30px;
    color: #999999;
  }
  .conts {
    padding: 64px 0 48px 0;
    font-size: 36px;
    line-height: 64px;
  }
}
</style>
